<div class="vbp-tab">
       <input class="vbp-tab-radio" type="radio" id="tab-create" name="tab-group-vbp">
       <label class="vbp-tab-label" for="tab-create"> Create the Posts</label>

        <div class="vbp-tab-panel">
        <div class="vbp-tab-content">  

	<p>Each video processed will be saved in WordPress with these settings.</p>
        <table class='form-table'>
	<tr>
		<td>
			<div class='autovid-profit-block span_5_of_12 autovid-profit-vert-top'>
				<div class='autovid-profit-block span_4_of_12'>
					<?php _e( 'Save as user', 'autovid-profit' );?>
				</div>
				<div class='autovid-profit-block span_8_of_12'>
					<?php $optValue = $this->get_value( $args, 'cUser', '' ); ?>
					<select name="campaign_user">
						<option value=""></option>
						<option value="(random)" <?php echo ($optValue == '(random)') ? "SELECTED" : "" ?>>(random)</option>
					<?php
					$users = $this->get_users();
					$users = apply_filters( 'vb_get_users', $users );
					foreach ( $users as $user ) { ?>
						<option value="<?php echo $user->ID;?>" <?php echo ($optValue == $user->ID) ? "SELECTED" : "" ?>><?php echo $user->display_name; ?></option>
					<?php } ?>
					</select>
				</div>
				<br />
				<div class='autovid-profit-block span_4_of_12'>
					<?php _e( 'and post type', 'autovid-profit' );?>
				</div>
				<div class='autovid-profit-block span_8_of_12'>
					<?php $cPostType = $optValue = $this->get_value( $args, 'cPostType', '' ); ?>
					<select name="campaign_post_type">
						<option value=""></option>
					<?php
					$post_types = $this->get_post_types( '', 'names' );
					foreach ( $post_types as $post_type )  { ?>
						<option value="<?php echo $post_type;?>" <?php echo ( $optValue == $post_type ) ? "SELECTED" : "" ?>><?php echo $post_type; ?></option>
					<?php } ?>
					</select>
				</div>
				<br />
				<div class='autovid-profit-block span_4_of_12'>
					<?php _e( 'with status', 'autovid-profit' );?>
				</div>
				<div class='autovid-profit-block span_8_of_12'>
				<?php $optValue = $this->get_value( $args, 'cPostStatus', '' ); ?>
				<select name="campaign_post_status">
					<option value=""></option>
					<option value="draft" <?php echo ($optValue == 'draft') ? "SELECTED" : "" ?>>draft</option>
					<option value="pending" <?php echo ($optValue == 'pending') ? "SELECTED" : "" ?>>pending</option>
					<option value="private" <?php echo ($optValue == 'private') ? "SELECTED" : "" ?>>private</option>
					<option value="publish" <?php echo ($optValue == 'publish') ? "SELECTED" : "" ?>>publish</option>
				</select>
				</div>
				<br />
				<div class='autovid-profit-block span_4_of_12'>
					<?php _e( 'and format', 'autovid-profit' );?>
				</div>
				<div class='autovid-profit-block span_8_of_12'>
				<?php $optValue = $this->get_value( $args, 'cPostFormat', '' ); ?>
				<select name="campaign_post_format">
					<option value=""></option>
				<?php
					$formats = array_keys( get_post_format_strings() );
					foreach ( $formats as $format ) { 
				?>
					<option value="<?php echo $format;?>" <?php echo ($optValue == $format) ? "SELECTED" : "" ?>><?php echo $format;?></option>
				<?php
				}
				?>
				</select>
				</div>
			<br /><br />
			<?php $optValue = $this->get_value( $args, 'cUsePublishedDate', '' ); ?>
			<input type="checkbox" name="campaign_use_publish_date" value="TRUE" <?php echo ($optValue == TRUE) ? "CHECKED" : "" ?>/> 
			<?php _e( 'Use the video publish dates instead of the current date?', 'autovid-profit' );?>

                        <?php /*
			<br /><br />
			<?php _e( 'Spin created post with', 'autovid-profit' );?> &nbsp;
			<?php $optValue = $this->get_value( $args, 'pSpinnerPost', ''); ?>
			<input type="radio" name="campaign_spinner_post" value="nothing" <?php echo ($optValue == 'nothing') ? "CHECKED" : "" ?>/><?php _e( 'nothing', 'autovid-profit' );?> &nbsp;
			<input type="radio" name="campaign_spinner_post" value="WP Auto Spinner" <?php echo ($optValue == 'WP Auto Spinner') ? "CHECKED" : "" ?>/><a target='_blank' href='http://codecanyon.net/item/wordpress-auto-spinner-articles-rewriter/4092452?ref=johnh10'>WP Auto Spinner</a> &nbsp;
			 */?>
                        </div>
			<div class='autovid-profit-block span_7_of_12 autovid-profit-vert-top'>

				<?php $optValue = $this->get_value( $args, 'cCategories', '' ); $optArray = explode( ",", $optValue ); ?>
				<?php _e( 'in categories', 'autovid-profit' );?>
				<?php $categories = $this->get_categories(); ?>
				<select name="campaign_categories[]" size="5" multiple>
				<?php
				foreach( $categories as $category ) { ?>
					<option value="<?php echo $category->term_id;?>" <?php echo ( in_array( $category->term_id, $optArray ) ) ? "SELECTED" : "" ?>><?php echo $category->name; ?></option>
				<?php } ?>
				</select>
				<br /><br />
				<?php $optValue = $this->get_value( $args, 'cAddSourceCategory', '' ); ?>
				<input type="checkbox" name="campaign_add_source_cat" value="TRUE" <?php echo ($optValue == TRUE) ? "CHECKED" : "" ?>/> 
				<?php _e( 'Import category if provided?', 'autovid-profit' );?>
			
			<br /><br />
			<?php $optValue = $this->get_value( $args, 'pGrabTags', 0 ); ?>
			<input type="checkbox" name="campaign_grab_tags" value="TRUE" <?php echo ($optValue == TRUE) ? "CHECKED" : "" ?>/> 
			<?php _e( 'Import tags from video?', 'autovid-profit' );?>
			&nbsp;
			<?php _e( 'Min tag length:', 'autovid-profit' );?>
			<input type="text" size="1" maxlength="2" name="campaign_min_tag_length" id="campaign_min_tag_length" value="<?php echo $this->get_value( $args, 'pMinTagLength', '' ); ?>" />
			<br />
			<div class='autovid-profit-block span_2_of_12'>
			<?php _e( 'Ignore tags:', 'autovid-profit' );?>
			</div>
			<div class='autovid-profit-block span_10_of_12'>
			<input type="text" size="28" maxlength="256" name="campaign_ignore_tags" id="campaign_ignore_tags" value="<?php echo $this->get_value( $args, 'pIgnoreTags', '' ); ?>" />
			</div>
			<br />
			<div class='autovid-profit-block span_2_of_12'>
			<?php _e( 'Add tags:', 'autovid-profit' );?>
			</div>
			<div class='autovid-profit-block span_10_of_12'>
			<input type="text" size="28" maxlength="256" name="campaign_add_tags" id="campaign_add_tags" value="<?php echo $this->get_value( $args, 'pAddTags' ,'' ); ?>" />
			</div>

			</div>

			<br /><br />
			<?php // does site use custom taxonomy terms? rare.
			$taxterms = $this->get_taxonomies_terms( $cPostType ); 
			if ( ! empty( $taxterms ) ) {
			?>
			<div class='autovid-profit-block span_12_of_12 autovid-profit-vert-top'>
				<?php $optArray = $this->get_value( $args, 'cTaxTerms', array() ); ?>
				<?php echo sprintf( __( 'and attach taxonomy terms from the \'%s\' post type:', 'autovid-profit' ), $cPostType );?>
				<br />
				<select name="campaign_taxterms[]" size="8" multiple>
				<?php
				foreach( $taxterms as $taxterm ) { 
					$value = $taxterm->taxonomy . ":" . $taxterm->name . ":" . $taxterm->slug;
					$name = $taxterm->name;
				?>
					<option value="<?php echo $value;?>" <?php echo ( in_array( $value, $optArray ) ) ? "SELECTED" : "" ?>><?php echo $name; ?></option>
				<?php } ?>
				</select>
			</div>
			<?php } ?>

		</td>
	</tr>
	</table>

        </div>
        </div>
</div>
