<div class='wrap autovid-profit-section'>
	<h2 class="autovid-profit-title"><?php echo $this->plugin['name'] . " v" . $this->plugin['version']; ?></h2>
	<?php include( sprintf( "%stemplates/buttons.php", $this->plugin['dir'] ) ); ?>
	<p><?php _e( 'All important log events during video campaign Schedule requests will be shown here.', 'autovid-profit' );?></p>
</div>
<?php $messages = get_option( $this->plugin['prefix'] . 'messages'); ?>
<?php if ( ! isset( $messages['video_skip'] ) ) { $messages['video_skip'] = true; } ?>
<div class='wrap autovid-profit-section'>
	<h3 class='autovid-profit-title'>Log File</h3>
	<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
	<table class='form-table'>
		<tr>
			<th scope="row"><label for="autovid_profit_logfile"><?php echo $this->plugin['name'];?> <?php _e( 'Log File', 'autovid-profit' );?></label></th>
		<td>
			<input type="text" size="100" name="autovid_profit_logfile" id="autovid_profit_logfile" value="<?php echo get_option( $this->get_my_plugin('prefix') . 'logfile' ); ?>" />
			<br />
			Display messages:
			<input type="checkbox" name="messages_critical" disabled value="true" checked /> Critical
			<input type="checkbox" name="messages_video_import" value="true" <?php checked( $messages['video_import'], true, true ); ?> /> Video Import
			<input type="checkbox" name="messages_video_skip" value="true" <?php checked( $messages['video_skip'], true, true ); ?> /> Video Skipped
			<input type="checkbox" name="messages_utility_funcs" value="true" <?php checked( $messages['utility_funcs'], true, true ); ?> /> Utility Function
			<input type="checkbox" name="messages_debug" value="true" <?php checked( $messages['debug'], true, true ); ?> /> Debug Messages
			<br />
		(If importing manually, messages will be shown on the screen instead of the log file)
		</td>
		</tr>
	</table>
	<p>
	<input class="button button-primary" type="submit" name="save_values" value="<?php _e('Save Settings', 'autovid-profit' );?>" />
	<input class="button button-primary" type="submit" name="clear_log" value="<?php _e('Clear Log File', 'autovid-profit' );?>" />
	</p>
	</form>
	<p><code>
	<?php
	echo nl2br( $msg );
	?>
	</code></p>
	<hr class='autovid-profit-divider' />
</div>
