
<div class='wrap autovid-profit-section'>
	<h2 class='autovid-profit-title'><?php echo $this->get_my_plugin('name') . " v" . $this->get_my_plugin('version'); ?></h2>
	<?php include( sprintf( "%stemplates/buttons.php", $this->plugin['dir'] ) ); ?>	
</div>
<div class='wrap autovid-profit-section'>
	<h3 class='autovid-profit-title'><?php _e( 'Main Settings', 'autovid-profit' );?></h3>
        <form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
        <table class='form-table'>  
		<tr>
			<th scope="row"><label for="autovid_profit_default_title_template"><?php _e( 'Default Title Template', 'autovid-profit' );?></label></th>
		<td>
			<input type="text" size="60" name="autovid_profit_default_title_template" id="autovid_profit_default_title_template" value="<?php echo get_option( $this->get_my_plugin('prefix') . 'default_title_template' ); ?>" />
			
			<p class="description">This value will be used when making a new video campaign.</p>
		</td>
		</tr>
		<tr>
			<th scope="row"><label for="autovid_profit_default_post_template"><?php _e( 'Default Post Template', 'autovid-profit' );?></label></th>
		<td>
			<textarea rows="10" cols="100" name="autovid_profit_default_post_template"><?php echo get_option( $this->get_my_plugin('prefix') . 'default_post_template' ); ?></textarea>
                        <p class="description">
			<small>This value will be used when making a new video campaign.</small>
			<br />
			<small>* <?php _e( 'KSES toggled off to allow items like Google Adsense', 'autovid-profit' );?></small>
			<br /><br />
                        </p>
			<small>
                        <strong><?php _e( 'Supported tags:', 'autovid-profit' );?></strong>
                        %VideoTitle%
                        %VideoDescription%
                        %VideoUrl%
                        %VideoID%
                        %VideoAssociation%
                        %VideoImage%
                        %VideoImageLocal%
                        %VideoDuration%
                        %VideoDuration8601%
                        %VideoViews%
                        %VideoLikes%
                        %VideoDislikes%
                        %VideoFavorites%
                        %VideoEmbed%
                        %VideoPublish%
                        %VideoPublish8601%
                        </small>
		</td>
	</tr>
<?php
		$name = $this->get_my_plugin( 'name' );
?>
                <tr>
			<th scope="row"><label for="autovid_profit_hide_youtube_transcript"><?php _e( 'Hide youtube transcript/closed caption?', 'autovid-profit' );?></label></th>
		<td>
                        <?php $hide_transcript =  get_option( $this->get_my_plugin('prefix') . 'hide_youtube_transcript' ); ?>
                    <input type="checkbox" name="autovid_profit_hide_youtube_transcript" id="autovid_profit_hide_youtube_transcript" <?php checked($hide_transcript,'yes'); ?> value="yes" /> <b>Yes</b>
		</td>
		</tr>
		<tr>
			<th scope="row"><label for="autovid_profit_youtube_key"><?php _e( 'YouTube API Key', 'autovid-profit' );?></label></th>
		<td>
			<input type="text" size="60" name="autovid_profit_youtube_key" id="autovid_profit_youtube_key" value="<?php echo get_option( $this->get_my_plugin('prefix') . 'youtube_key' ); ?>" />
		</td>
		</tr>
		<tr>
			<th scope="row"><label for="autovid_profit_soundcloud_key"><?php _e( 'SoundCloud API Key', 'autovid-profit' );?></label></th>
		<td>
			<input type="text" size="60" name="autovid_profit_soundcloud_key" id="autovid_profit_soundcloud_key" value="<?php echo get_option( $this->get_my_plugin('prefix') . 'soundcloud_key' ); ?>" />
		</td>
		</tr>
		<tr>
			<th scope="row"><label for="autovid_profit_vimeo_key"><?php _e( 'Vimeo API Key', 'autovid-profit' );?></label></th>
		<td>
			<input type="text" size="60" name="autovid_profit_vimeo_key" id="autovid_profit_vimeo_key" value="<?php echo get_option( $this->get_my_plugin('prefix') . 'vimeo_key' ); ?>" />
		</td>
		</tr>

		<tr>
			<th scope="row"><label for="autovid_profit_gtranslate_key"><?php _e( 'Google Translate API Key', 'autovid-profit' );?></label></th>
		<td>
			<input type="text" size="60" name="autovid_profit_gtranslate_key" id="autovid_profit_gtranslate_key" value="<?php echo get_option( $this->get_my_plugin('prefix') . 'gtranslate_key' ); ?>" />
		</td>
		</tr>

<?php if ( ini_get( 'safe_mode' ) ) { ?>
		<tr>
			<th scope="row"><label for="autovid_profit_max_execution_time"><?php _e( 'Max Execution Time', 'autovid-profit' );?></label></th>
		<td>
			<input type="text" size="8" name="autovid_profit_max_execution_time" id="autovid_profit_max_execution_time" value="<?php echo get_option( $this->get_my_plugin('prefix') . 'max_execution_time' ); ?>" />
			<?php _e( 'PHP Safe mode is On, so use this to set the script max execution time in seconds.', 'autovid-profit' );?>
		</td>
		</tr>
<?php } ?>
			<?php 
				$blacklist_auto = get_option( $this->get_my_plugin( 'prefix' ) . 'blacklist_auto' );
				$blacklist = array_filter( get_option( $this->get_my_plugin( 'prefix' ) . 'video_blacklist', array() ) );
				$cnt = count( $blacklist );
				$blacklist = is_array( $blacklist ) ? implode( "\n", $blacklist ) : ''; 
			?>
		<tr>
			<th scope="row"><label for="autovid_profit_blacklist"><?php _e( 'Video ID Blacklist', 'autovid-profit' );?><br><?php echo $cnt;?> entries</label></th>
		<td>
			<textarea rows="10" cols="60" name="autovid_profit_blacklist"><?php echo $blacklist; ?></textarea>
			
                        <p class="description">
                        <br>
			<?php _e( "The plugin will not import a video if its ID is in any existing post.", 'autovid-profit' );?>
			<br>
			<?php _e( "In addition, the plugin will not import any video IDs in the blacklist.", 'autovid-profit' );?>
			<br><br>
                        </p>
			<input type="checkbox" name="autovid_profit_blacklist_auto" value="TRUE" <?php echo ($blacklist_auto == TRUE) ? "CHECKED" : "" ?>/><?php _e( 'Automatically add permanently deleted video IDs to the blacklist?', 'autovid-profit' );?> 
		</td>
		</tr>
	</table>

	<hr class='autovid-profit-divider' />

        <input class="button button-primary" type="submit" name="save_values" value="<?php _e('Save Settings', 'autovid-profit' );?>" />
	</form>
</div>
