<div class="vbp-tab">
       <input class="vbp-tab-radio" type="radio" id="tab-process" name="tab-group-vbp">
       <label class="vbp-tab-label" for="tab-process">Process the Results</label>

        <div class="vbp-tab-panel">
        <div class="vbp-tab-content">

	<p>The videos returned from <?php echo $video_source;?> will be processed using these rules.</p>
	<table class='form-table'>
	<tr>
		<td>
			<?php _e( 'Skip videos that DO NOT contain one of these keyphrases', 'autovid-profit' );?>
			<input type="text" size="40" maxlength="256" name="campaign_strict_title" id="campaign_strict_title" value="<?php echo $this->get_value( $args, 'pStrictTitle', '' ); ?>" />
			<br /><br />
			<?php _e( 'Skip videos that DO contain one of these keyphrases', 'autovid-profit' );?>
			<input type="text" size="40" maxlength="256" name="campaign_negate_title" id="campaign_negate_title" value="<?php echo $this->get_value( $args, 'pNegateTitle', '' ); ?>" />
			<br /><br />
			<?php _e( 'Skip videos with less than ', 'autovid-profit' );?>
			<input type="text" size="8" maxlength="16" name="campaign_min_views" id="campaign_min_views" value="<?php echo $this->get_value( $args, 'pMinViews', '', 1 ); ?>" />
			<?php _e( 'views.', 'autovid-profit' );?>
			<br /><br />
			<?php _e( 'Skip videos older than ', 'autovid-profit' );?>
			<input type="text" size="12" maxlength="32" name="campaign_cutoff_date" id="campaign_cutoff_date" value="<?php echo $this->get_value( $args, 'pCutoffDate', '' ); ?>" />
			<?php _e( sprintf( __( 'Use absolute format "Y-m-d" or <a target="_blank" href="%s">relative format</a> (ex: 1 month ago).', 'autovid-profit' ), 'http://php.net/manual/en/datetime.formats.relative.php' ) );?>
			<br /><br />
			<?php _e( 'Skip videos if duration less than ', 'autovid-profit' );?>
			<input type="text" size="3" maxlength="3" name="campaign_duration_min" id="campaign_duration_min" value="<?php echo $this->get_value( $args, 'pDurationMin', '' ); ?>" /> minutes or greater than <input type="text" size="3" maxlength="3" name="campaign_duration_max" id="campaign_duration_max" value="<?php echo $this->get_value( $args, 'pDurationMax', '' ); ?>" /> minutes.
			<br /><br />
			<?php $optValue = $this->get_value( $args, 'pNoThumbnails', '' ); ?>
			<input type="checkbox" name="campaign_no_thumbnails" value="TRUE" <?php echo ($optValue == TRUE) ? "CHECKED" : "" ?>/> 
			<?php _e( 'Skip videos that have no video thumbnails?', 'autovid-profit' );?>
			<br /><br />

			<?php _e( sprintf( __( 'Google translate title/description into <a target="_blank" href="%s">language code</a>', 'autovid-profit' ), 'http://en.wikipedia.org/wiki/List_of_ISO_639-1_codes' ) );?>
			<input type="text" size="2" maxlength="4" name="campaign_translate_to" id="campaign_translate_to" value="<?php echo $this->get_value( $args, 'pTranslateTo', '' ); ?>" /> (requires API Key in Main Settings)
			<br /><br />

			<?php $optValue = $this->get_value( $args, 'pRemoveDescUrls', '' ); ?>
			<?php _e( 'Remove all URLs:', 'autovid-profit' );?> &nbsp;
			<input type="checkbox" name="campaign_remove_desc_urls" value="TRUE" <?php echo ($optValue == TRUE) ? "CHECKED" : "" ?>/> 
			<?php _e( 'in video description?', 'autovid-profit' );?> &nbsp;
			<?php $optValue = $this->get_value( $args, 'pRemoveCommUrls', '' ); ?>
			<input type="checkbox" name="campaign_remove_comm_urls" value="TRUE" <?php echo ($optValue == TRUE) ? "CHECKED" : "" ?>/> 
			<?php _e( 'in comments?', 'autovid-profit' );?>
			<br /><br />

			<?php _e( 'Limit video title to ', 'autovid-profit' );?>
			<input type="text" size="2" maxlength="4" name="campaign_limit_title_chars" id="campaign_limit_title_chars" value="<?php echo $this->get_value( $args, 'pLimitTitleChars', '', 1 ); ?>" />
			<?php _e( 'chars and/or end title at phrase', 'autovid-profit' );?>
			<input type="text" size="20" maxlength="32" name="campaign_limit_title_word" id="campaign_limit_title_word" value="<?php echo $this->get_value( $args, 'pLimitTitleWord', '' ); ?>" />
			<br /><br />

			<?php _e( 'Remove these characters from title:', 'autovid-profit' );?>
			<input type="text" size="20" maxlength="32" name="campaign_remove_title_chars" id="campaign_remove_title_chars" value="<?php echo $this->get_value( $args, 'pRemoveTitleChars', '' ); ?>" />
			<?php _e( '(Example: /*&^%$#@!)', 'autovid-profit' );?>
			<br /><br />

			<?php _e( 'Limit video description to', 'autovid-profit' );?>
			<input type="text" size="2" maxlength="4" name="campaign_limit_desc_chars" id="campaign_limit_desc_chars" value="<?php echo $this->get_value( $args, 'pLimitDescChars', '', 1 ); ?>" />
			<?php _e( 'chars and/or end description at phrase', 'autovid-profit' );?>
			<input type="text" size="20" maxlength="32" name="campaign_limit_desc_word" id="campaign_limit_desc_word" value="<?php echo $this->get_value( $args, 'pLimitDescWord', '' ); ?>" />
			<br /><br />

			<?php _e( 'Remove first', 'autovid-profit' );?>
			<input type="text" size="2" maxlength="4" name="campaign_sentence_remove" id="campaign_sentence_remove" value="<?php echo $this->get_value( $args, 'pSentenceRemove', '', 1 ); ?>" />
			<?php _e( 'sentences from video description and any sentence containing', 'autovid-profit' );?>
			<input type="text" size="22" maxlength="256" name="campaign_sentence_remove_phrase" id="campaign_sentence_remove_phrase" value="<?php echo $this->get_value( $args, 'pSentenceRemovePhrase', '' ); ?>" />
			<br /><br />

			<?php _e( 'Replace phrases in title and/or description with spintax support. Case sensitive. One per line. Examples:', 'autovid-profit' );?>
			<br />
			<small><?php _e( 'Match Phrase::{Replace Phrase 1|Replace Phrase 2|Replace Phrase 3}', 'autovid-profit' );?></small>
			<br />
			<small><?php _e( 'Match Phrase::Replace Phrase', 'autovid-profit' );?></small>
			<br />
			<?php $optValue = $this->get_value( $args, 'pReplacePhrases', '' ); ?>
			<textarea rows="2" cols="100" name="campaign_replace_phrases"><?php echo $optValue; ?></textarea>
			<br /><br />

			<?php $optValue = $this->get_value( $args, 'pLinkifyTypes', '0'); ?>
			<?php _e( "Linkify ", 'autovid-profit' ); ?>
			<input type="radio" name="campaign_linkify_types" value="all" <?php echo ($optValue == 'all') ? "CHECKED" : "" ?>/><?php _e( 'all URLs', 'autovid-profit' );?> &nbsp;
			<input type="radio" name="campaign_linkify_types" value="embeds" <?php echo ($optValue == 'embeds') ? "CHECKED" : "" ?>/><?php _e( sprintf( __( "just <a target='_blank' class='autovid-profit-help' title='This will prevent WordPress from automatically embedding video urls.' href='%s'>embeddable URLs</a>:", 'autovid-profit' ), 'http://codex.wordpress.org/Embeds#Okay.2C_So_What_Sites_Can_I_Embed_From.3F' ) );?> &nbsp;
			<?php $optValue = $this->get_value( $args, 'pLinkifyDescUrls', ''); ?>
			<input type="checkbox" name="campaign_linkify_desc_urls" value="TRUE" <?php echo ($optValue == TRUE) ? "CHECKED" : "" ?>/> 
			<?php _e( 'in video description?', 'autovid-profit' );?> &nbsp;
			<?php $optValue = $this->get_value( $args, 'pLinkifyCommUrls', ''); ?>
			<input type="checkbox" name="campaign_linkify_comm_urls" value="TRUE" <?php echo ($optValue == TRUE) ? "CHECKED" : "" ?>/> 
			<?php _e( 'in comments?', 'autovid-profit' );?>
			<br /><br />

			<?php _e( 'Spin:', 'autovid-profit' );?> &nbsp;
			<?php $optValue = $this->get_value( $args, 'pSpinTitle', ''); ?>
			<input type="checkbox" name="campaign_spin_title" value="TRUE" <?php echo ($optValue == TRUE) ? "CHECKED" : "" ?>/><?php _e( 'title', 'autovid-profit' );?> &nbsp;
			<?php $optValue = $this->get_value( $args, 'pSpinDesc', ''); ?>
			<input type="checkbox" name="campaign_spin_desc" value="TRUE" <?php echo ($optValue == TRUE) ? "CHECKED" : "" ?>/><?php _e( 'description', 'autovid-profit' );?> &nbsp;
			<?php _e( 'with', 'autovid-profit' );?> &nbsp;
			<?php $optValue = $this->get_value( $args, 'pSpinner', ''); ?>
			<input type="radio" name="campaign_spinner" value="nothing" <?php echo ($optValue == 'nothing') ? "CHECKED" : "" ?>/><?php _e( 'nothing', 'autovid-profit' );?> &nbsp;
			<input type="radio" name="campaign_spinner" value="Spin Rewriter" <?php echo ($optValue == 'Spin Rewriter') ? "CHECKED" : "" ?>/><a target='_blank' class='autovid-profit-help' title='The only ENL Semantic Spinner on the market' href='http://www.spinrewriter.com/?ref=14896'>Spin Rewriter</a> &nbsp; 
			<?php _e( 'if total length >', 'autovid-profit' );?>
			<input type="text" size="2" maxlength="4" name="campaign_spin_length" id="campaign_spin_length" value="<?php echo $this->get_value( $args, 'pSpinLength', '', 1 ); ?>" />
		
			<br /><br />
			<hr />
			<?php _e( 'Post Title Template', 'autovid-profit' );?>
			<?php $optValue = $this->get_value( $args, 'pTitleTemplate', '' ); ?>
			<input type="text" size="60" maxlength="256" name="campaign_title_template" id="campaign_title_template" value="<?php echo $optValue; ?>" />
			<br /><br />
			<?php $optValue = $this->get_value( $args, 'pSkipTitle', '' ); ?>
			<input type="checkbox" name="campaign_skip_titles" value="TRUE" <?php echo ($optValue == TRUE) ? "CHECKED" : "" ?>/> 
			<?php _e( 'Skip video if post title would be a duplicate of another post?', 'autovid-profit' );?>

			<br /><br />
			<?php _e( 'Post Content Template', 'autovid-profit' );?>
			<br />
			<?php $optValue = $this->get_value( $args, 'pPostTemplate', '' ); ?>
			<textarea rows="10" cols="100" name="campaign_post_template"><?php echo $optValue; ?></textarea>
			<br />
			<small>* <?php _e( 'KSES toggled off to allow items like Google Adsense', 'autovid-profit' );?></small>
			<br />
			<small>* <?php _e( 'Also supports spintax format {Phrase 1|Phase 2|Phrase 3}', 'autovid-profit' );?></small>
			<br /><br />
			<?php _e( 'Post Image Template', 'autovid-profit' );?>
			<?php $optValue = $this->get_value( $args, 'pImageTemplate', '' ); ?>
			<input type="text" size="60" maxlength="256" name="campaign_image_template" id="campaign_image_template" value="<?php echo $optValue; ?>" />
			<br /><br />
<?php include( sprintf( "%stemplates/custom-meta.php", $this->plugin['dir'] ) ); ?>
			<br /><br />
			<small>
			<strong><?php _e( 'Supported template tags:', 'autovid-profit' );?></strong>
			%VideoSource%
			%VideoTitle%
			%VideoDescription%
			%VideoUrl%
			%VideoID%
			%VideoAssociation%
			%VideoImage%
			%VideoImageLocal%
			%VideoDuration%
			%VideoDuration8601%
			%VideoViews%
			%VideoLikes%
			%VideoDislikes%
			%VideoFavorites%
			%VideoEmbed%
			%VideoPublish%
			%VideoPublish8601%
			</small>
			<hr />
			<br /><br />
			<?php $optValue = $this->get_value( $args, 'pCreateExcerpt', 0 ); ?>
			<input type="checkbox" name="campaign_create_excerpt" value="TRUE" <?php echo ($optValue == TRUE) ? "CHECKED" : "" ?>/> 
			<?php _e( 'Create post excerpt from the Post Content Template?', 'autovid-profit' );?>
			&nbsp; &nbsp; &nbsp;
			<?php _e( 'Limit post excerpt to', 'autovid-profit' );?>
			<input type="text" size="2" maxlength="4" name="campaign_excerpt_length" id="campaign_excerpt_length" value="<?php echo $this->get_value( $args, 'pExcerptLength', '', 1 ); ?>" />
			<?php _e( 'words.', 'autovid-profit' );?>
			<?php if ( ! isset( $args['func'] ) || $args['func'] != 'Make' ) { ?>
			<br /><br />
			<input type="checkbox" name="campaign_process_retro" value="TRUE" /> 
			<?php _e ('Apply changes to existing videos?', 'autovid-profit' );?>
			<?php _e( 'If checked, when you click \'Save\' all previous videos/comments imported from this campaign will be processed again with current values from this section and each video\'s <u>saved</u> meta data (will not import them again). WARNING: Can take a long time - you are advised to first deactivate any other plugins that trigger when a post is updated and clear the Update Services in Settings->Writing.', 'autovid-profit' );?>
			<br /><br />
			<input type="checkbox" name="campaign_theme_helper" value="TRUE" /> 
			<?php _e ('Re-check theme for custom meta fields?', 'autovid-profit' );?>
			<?php _e( 'If checked, when you click \'Save\' the default post content template and any missing custom meta fields for the current theme will be added. This is useful when changing themes with existing campaign.', 'autovid-profit' );?>
			<?php } ?>
		</td>
	</tr>
	</table>

        </div>
        </div>
</div>
