<div class="vbp-tab">
       <input class="vbp-tab-radio" type="radio" id="tab-query" name="tab-group-vbp" checked>
       <label class="vbp-tab-label" for="tab-query">Build <?php echo $video_source;?> Query</label>

        <div class="vbp-tab-panel">
        <div class="vbp-tab-content">

	<p><?php printf( __( 'This builds the query that will be sent to the %s API to retrieve videos.', 'autovid-profit' ), $video_source ); ?></p>
	<table class='form-table'>
	<tr>
		<td>
			<?php _e( 'Import', 'autovid-profit' );?>
			<input type="text" size="3" maxlength="5" name="campaign_numVideos" id="campaign_numVideos" value="<?php echo $this->get_value( $args, 'qNumVideos', '1' ); ?>" />
			<?php _e( 'videos by keyphrase', 'autovid-profit' );?>
			<input type="text" size="49" maxlength="256" name="campaign_keyphrase" id="campaign_keyphrase" value="<?php echo $this->get_value( $args, 'qKeyphrase', '' ); ?>" />
			<br />
			<?php _e( 'and/or', 'autovid-profit' );?> &nbsp;
			<?php $optValue = $this->get_value( $args, 'qAssocType', ''); ?>
			<input type="radio" name="campaign_assoc_type" value="channel" <?php echo ($optValue == 'channel') ? "CHECKED" : "" ?>/><?php _e( 'channel', 'autovid-profit' );?> &nbsp;
			<input type="radio" name="campaign_assoc_type" value="group" <?php echo ($optValue == 'group') ? "CHECKED" : "" ?>/><?php _e( 'group', 'autovid-profit' );?> &nbsp;
			<input type="radio" name="campaign_assoc_type" value="playlist" <?php echo ($optValue == 'playlist') ? "CHECKED" : "" ?>/><?php _e( 'playlist', 'autovid-profit' );?> &nbsp;
			<input type="radio" name="campaign_assoc_type" value="user" <?php echo ($optValue == 'user') ? "CHECKED" : "" ?>/><?php _e( 'user', 'autovid-profit' );?> &nbsp;
			<input type="radio" name="campaign_assoc_type" value="video" <?php echo ($optValue == 'video') ? "CHECKED" : "" ?>/><?php _e( 'video id', 'autovid-profit' );?> &nbsp;
			<input type="text" size="40" maxlength="128" name="campaign_assoc" id="campaign_assoc" value="<?php echo $this->get_value( $args, 'qAssoc', '' ); ?>" />
			<br /><br />
			<?php _e( 'published after date', 'autovid-profit' );?> &nbsp;
			<input type="text" size="20" maxlength="32" name="campaign_pub_after" id="campaign_pub_after" value="<?php echo $this->get_value( $args, 'qPublishedAfter', '' ); ?>" />
			<?php _e( 'published before date', 'autovid-profit' );?> &nbsp;
			<input type="text" size="20" maxlength="32" name="campaign_pub_before" id="campaign_pub_before" value="<?php echo $this->get_value( $args, 'qPublishedBefore', '' ); ?>" />

			<br /><br />
			<?php _e( 'Sort method', 'autovid-profit' );?>
			<?php $optValue = $this->get_value( $args, 'qOrderBy', '' ); ?>
			<select name="campaign_orderby">
				<option value="recent">recent</option>
				<option value="visited" <?php echo ($optValue == 'visited') ? "SELECTED" : "" ?>>visited</option>
				<option value="visited-hour" <?php echo ($optValue == 'visited-hour') ? "SELECTED" : "" ?>>visited-hour</option>
				<option value="visited-today" <?php echo ($optValue == 'visited-today') ? "SELECTED" : "" ?>>visited-today</option>
				<option value="visited-week" <?php echo ($optValue == 'visited-week') ? "SELECTED" : "" ?>>visited-week</option>
				<option value="visited-month" <?php echo ($optValue == 'visited-month') ? "SELECTED" : "" ?>>visited-month</option>
				<option value="commented" <?php echo ($optValue == 'commented') ? "SELECTED" : "" ?>>commented</option>
				<option value="commented-hour" <?php echo ($optValue == 'commented-hour') ? "SELECTED" : "" ?>>commented-hour</option>
				<option value="commented-today" <?php echo ($optValue == 'commented-today') ? "SELECTED" : "" ?>>commented-today</option>
				<option value="commented-week" <?php echo ($optValue == 'commented-week') ? "SELECTED" : "" ?>>commented-week</option>
				<option value="commented-month" <?php echo ($optValue == 'commented-month') ? "SELECTED" : "" ?>>commented-month</option>
				<option value="rated" <?php echo ($optValue == 'rated') ? "SELECTED" : "" ?>>rated</option>
				<option value="rated-hour" <?php echo ($optValue == 'rated-hour') ? "SELECTED" : "" ?>>rated-hour</option>
				<option value="rated-today" <?php echo ($optValue == 'rated-today') ? "SELECTED" : "" ?>>rated-today</option>
				<option value="rated-week" <?php echo ($optValue == 'rated-week') ? "SELECTED" : "" ?>>rated-week</option>
				<option value="rated-month" <?php echo ($optValue == 'rated-month') ? "SELECTED" : "" ?>>rated-month</option>
				<option value="relevance" <?php echo ($optValue == 'relevance') ? "SELECTED" : "" ?>>relevance</option>
				<option value="random" <?php echo ($optValue == 'random') ? "SELECTED" : "" ?>>random</option>
				<option value="ranking" <?php echo ($optValue == 'ranking') ? "SELECTED" : "" ?>>ranking</option>
				<option value="trending" <?php echo ($optValue == 'trending') ? "SELECTED" : "" ?>>trending</option>
				<option value="old" <?php echo ($optValue == 'old') ? "SELECTED" : "" ?>>old</option>
				<option value="live-audience" <?php echo ($optValue == 'live-audience') ? "SELECTED" : "" ?>>live-audience</option>
			</select>
			<br /><br />
			<?php _e( sprintf( __( "Filter by <a target='_blank' class='autovid-profit-help' title='The regionCode parameter instructs the API to return search results allowed for the specified country.' href='%s'>regionCode</a>:", 'autovid-profit' ), 'http://en.wikipedia.org/wiki/ISO_3166-1_alpha-2#Officially_assigned_code_elements' ) );?>
			<input type="text" size="2" maxlength="2" name="campaign_region_code" id="campaign_region_code" value="<?php echo $this->get_value( $args, 'qRegionCode', '' ); ?>" />

			<?php _e( sprintf( __( "Filter by <a target='_blank' class='autovid-profit-help' href='%s'>language</a>:", 'autovid-profit' ), 'http://en.wikipedia.org/wiki/ISO_639-1' ) );?>
			<input type="text" size="2" maxlength="2" name="campaign_language" id="campaign_language" value="<?php echo $this->get_value( $args, 'qLanguage', '' ); ?>" />
			<br /><br />
			<?php $optValue = $this->get_value( $args, 'qImageImport', TRUE ); ?>
			<input type="checkbox" name="campaign_image_import" value=TRUE <?php echo ($optValue == TRUE) ? "CHECKED" : "" ?>/>
			<?php _e( 'Import featured image size', 'autovid-profit' );?>
			<?php $optValue = $this->get_value( $args, 'qExtraParams2', 'original' ); ?>
			<select name="campaign_extra_params2">
				<option value="original">original</option>
				<option value="720px" <?php echo ($optValue == '720px') ? "SELECTED" : "" ?>>720px height</option>
				<option value="480px" <?php echo ($optValue == '480px') ? "SELECTED" : "" ?>>480px height</option>
				<option value="360px" <?php echo ($optValue == '360px') ? "SELECTED" : "" ?>>360px height</option>
				<option value="240px" <?php echo ($optValue == '240px') ? "SELECTED" : "" ?>>240px height</option>
				<option value="180px" <?php echo ($optValue == '180px') ? "SELECTED" : "" ?>>180px height</option>
				<option value="120px" <?php echo ($optValue == '120px') ? "SELECTED" : "" ?>>120px height</option>
				<option value="60px" <?php echo ($optValue == '60px') ? "SELECTED" : "" ?>>60px height</option>
			</select>
			<br /><br />
			<?php _e( 'Also import latest', 'autovid-profit' );?>
			<input type="text" size="2" maxlength="4" name="campaign_num_comments" id="campaign_num_comments" value="<?php echo $this->get_value( $args, 'qNumComments', '', 1 ); ?>" />
			<?php _e( 'comments from each video.', 'autovid-profit' );?>
		</td>
	</tr>
	</table>

        </div>
        </div>
</div>
