<div class="vbp-tab">
       <input class="vbp-tab-radio" type="radio" id="tab-query" name="tab-group-vbp" checked>
       <label class="vbp-tab-label" for="tab-query">Build <?php echo $video_source;?> Query</label>

        <div class="vbp-tab-panel">
        <div class="vbp-tab-content">

	<p><?php printf( __( 'This builds the query that will be sent to the %s API to retrieve videos.', 'autovid-profit' ), $video_source ); ?></p>
	<table class='form-table'>
	<tr>
		<td>
			<?php _e( 'Import', 'autovid-profit' );?>
			<input type="text" size="3" maxlength="5" name="campaign_numVideos" id="campaign_numVideos" value="<?php echo $this->get_value( $args, 'qNumVideos', '1' ); ?>" />
			<?php _e( 'tracks by keyphrase', 'autovid-profit' );?>
			<input type="text" size="40" maxlength="256" name="campaign_keyphrase" id="campaign_keyphrase" value="<?php echo $this->get_value( $args, 'qKeyphrase', '' ); ?>" />
			<br /><br />
			<?php _e( 'or full url to a', 'autovid-profit' );?> &nbsp;
			<?php $optValue = $this->get_value( $args, 'qAssocType', ''); ?>
			<input type="radio" name="campaign_assoc_type" value="user" <?php echo ($optValue == 'user') ? "CHECKED" : "" ?>/>user&nbsp;
			<input type="radio" name="campaign_assoc_type" value="playlist" <?php echo ($optValue == 'playlist') ? "CHECKED" : "" ?>/>playlist &nbsp;
			<input type="radio" name="campaign_assoc_type" value="show" <?php echo ($optValue == 'show') ? "CHECKED" : "" ?>/>show&nbsp;

			<br />
			<input type="text" size="80" maxlength="128" name="campaign_assoc" id="campaign_assoc" value="<?php echo $this->get_value( $args, 'qAssoc', '' ); ?>" />

			<br /><br />
			<?php $optValue = $this->get_value( $args, 'qImageImport', TRUE ); ?>
			<input type="checkbox" name="campaign_image_import" value=TRUE <?php echo ($optValue == TRUE) ? "CHECKED" : "" ?>/>
			<?php _e( 'Import featured image size', 'autovid-profit' );?>
			<?php $optValue = $this->get_value( $args, 'qExtraParams2', 'maxres' ); ?>
			<select name="campaign_extra_params2">
				<option value="1024wx1024h" <?php echo ($optValue == '1024wx1024h') ? "SELECTED" : "" ?>>1024x1024</option>
				<option value="768wx768h" <?php echo ($optValue == '768wxx7680h') ? "SELECTED" : "" ?>>768x768</option>
				<option value="640wx640h" <?php echo ($optValue == '640wx640h') ? "SELECTED" : "" ?>>640x640</option>
				<option value="extra_large" <?php echo ($optValue == 'extra_large') ? "SELECTED" : "" ?>>600x600</option>
				<option value="320wx320h" <?php echo ($optValue == '320wx320h') ? "SELECTED" : "" ?>>320x320</option>
				<option value="large" <?php echo ($optValue == 'large') ? "SELECTED" : "" ?>>300x300</option>
				<option value="medium" <?php echo ($optValue == 'medium') ? "SELECTED" : "" ?>>100x100</option>
				<option value="medium_mobile" <?php echo ($optValue == 'medium_mobile') ? "SELECTED" : "" ?>>80x80</option>
				<option value="thumbnail" <?php echo ($optValue == 'thumbnail') ? "SELECTED" : "" ?>>50x50</option>
				<option value="small" <?php echo ($optValue == 'small') ? "SELECTED" : "" ?>>25x25</option>
			</select>

			<br /><br />
			<?php _e( 'Also import latest', 'autovid-profit' );?>
			<input type="text" size="2" maxlength="4" name="campaign_num_comments" id="campaign_num_comments" value="<?php echo $this->get_value( $args, 'qNumComments', '', 1 ); ?>" />
			<?php _e( 'comments from each video.', 'autovid-profit' );?>
		</td>
	</tr>
	</table>

        </div>
        </div>
</div>
