<div class="vbp-tab">
       <input class="vbp-tab-radio" type="radio" id="tab-query" name="tab-group-vbp" checked>
       <label class="vbp-tab-label" for="tab-query">Build <?php echo $video_source;?> Query</label>

        <div class="vbp-tab-panel">
        <div class="vbp-tab-content">

	<p><?php printf( __( 'This builds the query that will be sent to the %s API to retrieve videos.', 'autovid-profit' ), $video_source ); ?></p>
	<table class='form-table'>
	<tr>
		<td>
			<?php _e( 'Import', 'autovid-profit' );?>
			<input type="text" size="3" maxlength="5" name="campaign_numVideos" id="campaign_numVideos" value="<?php echo $this->get_value( $args, 'qNumVideos', '1' ); ?>" />
		<?php _e( 'videos by keyphrase', 'autovid-profit' );?>
			<input type="text" size="60" maxlength="256" name="campaign_keyphrase" id="campaign_keyphrase" value="<?php echo $this->get_value( $args, 'qKeyphrase', '' ); ?>" />
			<br />
			<?php _e( 'and/or', 'autovid-profit' );?> &nbsp;
			<?php $optValue = $this->get_value( $args, 'qAssocType', ''); ?>
			<input type="radio" name="campaign_assoc_type" value="category" <?php echo ($optValue == 'category') ? "CHECKED" : "" ?>/><?php _e( 'category', 'autovid-profit' );?> &nbsp;
			<input type="radio" name="campaign_assoc_type" value="channel" <?php echo ($optValue == 'channel') ? "CHECKED" : "" ?>/><?php _e( 'channel', 'autovid-profit' );?> &nbsp;
			<input type="radio" name="campaign_assoc_type" value="group" <?php echo ($optValue == 'group') ? "CHECKED" : "" ?>/><?php _e( 'group', 'autovid-profit' );?> &nbsp;
			<input type="radio" name="campaign_assoc_type" value="video" <?php echo ($optValue == 'video') ? "CHECKED" : "" ?>/><?php _e( 'video id', 'autovid-profit' );?> &nbsp;
			<input type="text" size="36" maxlength="128" name="campaign_assoc" id="campaign_assoc" value="<?php echo $this->get_value( $args, 'qAssoc', '' ); ?>" />
			<br /><br />
			<?php _e( 'Keyphrases: Your request can also use the Boolean NOT (-) and OR (|) operators to exclude videos or to find videos that are associated with one of several search terms. For example, to search for videos matching either "boating" or "sailing", set the keyphrase to <strong>boating|sailing</strong>. Similarly, to search for videos matching either "boating" or "sailing" but not "fishing", set the keyphrase to <strong>boating|sailing -fishing</strong>.', 'autovid-profit' );?>
			<br /><br />
			<?php _e( 'Sort method', 'autovid-profit' );?>
			<?php $optValue = $this->get_value( $args, 'qOrderBy', '' ); ?>
			<select name="campaign_orderby">
				<option value="date">date</option>
				<option value="relevant" <?php echo ($optValue == 'relevant') ? "SELECTED" : "" ?>>relevant</option>
				<option value="alphabetical" <?php echo ($optValue == 'alphabetical') ? "SELECTED" : "" ?>>alphabetical</option>
				<option value="plays" <?php echo ($optValue == 'plays') ? "SELECTED" : "" ?>>plays</option>
				<option value="likes" <?php echo ($optValue == 'likes') ? "SELECTED" : "" ?>>likes</option>
				<option value="comments" <?php echo ($optValue == 'comments') ? "SELECTED" : "" ?>>comments</option>
				<option value="duration" <?php echo ($optValue == 'duration') ? "SELECTED" : "" ?>>duration</option>
			</select>
			<?php _e( 'Sort direction', 'autovid-profit' );?>
			<?php $optValue = $this->get_value( $args, 'qOrderDirection', 'desc' ); ?>
			<select name="campaign_order_direction">
				<option value="asc" <?php echo ($optValue == 'asc') ? "SELECTED" : "" ?>>ascending</option>
				<option value="desc" <?php echo ($optValue == 'desc') ? "SELECTED" : "" ?>>descending</option>
			</select>
			<br /><br />
			<?php $optValue = $this->get_value( $args, 'qImageImport', TRUE ); ?>
			<input type="checkbox" name="campaign_image_import" value=TRUE <?php echo ($optValue == TRUE) ? "CHECKED" : "" ?>/>
			<?php _e( 'Import featured image size', 'autovid-profit' );?>
			<?php $optValue = $this->get_value( $args, 'qExtraParams2', 'original' ); ?>
			<select name="campaign_extra_params2">
				<option value="original">original</option>
				<option value="1920px" <?php echo ($optValue == '1920px') ? "SELECTED" : "" ?>>1920px width</option>
				<option value="1280px" <?php echo ($optValue == '1280px') ? "SELECTED" : "" ?>>1280px width</option>
				<option value="960px" <?php echo ($optValue == '960px') ? "SELECTED" : "" ?>>960px width</option>
				<option value="640px" <?php echo ($optValue == '640px') ? "SELECTED" : "" ?>>640px width</option>
				<option value="295px" <?php echo ($optValue == '295px') ? "SELECTED" : "" ?>>295px width</option>
				<option value="200px" <?php echo ($optValue == '200px') ? "SELECTED" : "" ?>>200px width</option>
				<option value="100px" <?php echo ($optValue == '100px') ? "SELECTED" : "" ?>>100px width</option>
			</select>
			<br /><br />
			<?php _e( 'Also import latest', 'autovid-profit' );?>
			<input type="text" size="2" maxlength="4" name="campaign_num_comments" id="campaign_num_comments" value="<?php echo $this->get_value( $args, 'qNumComments', '', 1 ); ?>" />
			<?php _e( 'comments from each video.', 'autovid-profit' );?>
		</td>
	</tr>
	</table>

        </div>
        </div>
</div>
