<div class='wrap autovid-profit-section'>
	<h2 class='autovid-profit-title'><?php echo $this->plugin['name'] . " v" . $this->plugin['version']; ?></h2>
	<?php include( sprintf( "%stemplates/buttons.php", $this->plugin['dir'] ) ); ?>
	<p><?php _e( 'Toggles the status of the Scheduler and if enabled shows the times of next scheduled triggers.', 'autovid-profit' );?></p>
</div>
<div class='wrap autovid-profit-section'>
	<h3 class='autovid-profit-title'><?php echo $this->plugin['name'];?> Scheduler</h3>
	<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
	<p/>
	<?php if ( ! empty( $running ) ) : ?>
	<div class='autovid-profit-block span_3_of_12'>
                <?php _e( 'Scheduler is importing, started at:', 'autovid-profit' ); ?>
	</div>
	<div class='autovid-profit-block span_9_of_12'>
		<?php echo $running; ?>
	</div>
	<br /><br />
	<?php endif; ?>

	<div class='autovid-profit-block span_3_of_12'>
                <?php _e( 'Current server time:', 'autovid-profit' );?>
	</div>
	<div class='autovid-profit-block span_9_of_12'>
		<?php echo $current_server_time; ?>
	</div>
	<br />

	<?php if (get_option( $this->plugin['prefix'] . 'sch_enabled') == TRUE) : ?>
			<div class='autovid-profit-block span_3_of_12'>
       		        	<?php _e( 'Next video campaign check:', 'autovid-profit' );?>
			</div>
			<div class='autovid-profit-block span_9_of_12'>
				<?php echo $next_schedule; ?>
			</div>
			<br />

			<div class='autovid-profit-block span_3_of_12'>
       		        	<?php _e( 'Next utility functions check:', 'autovid-profit' );?>
			</div>
			<div class='autovid-profit-block span_9_of_12'>
				<?php echo $next_checker; ?>
			</div>
			<br />
		<p><input class="button button-primary" type="submit" name="disable_scheduler" value="<?php _e('Disable Scheduler', 'autovid-profit' );?> &raquo;" /></p>
	<?php else : ?>
                <p><input class="button button-primary" type="submit" name="enable_scheduler" value="<?php _e('Enable Scheduler', 'autovid-profit' );?> &raquo;" /></p>
	<?php endif; ?>

	<hr class='autovid-profit-divider' />

        <table class='form-table'>  
	<tr>
		<td>
			<div class='autovid-profit-block span_4_of_12'>
				<?php _e( 'Once enabled, start querying video campaign in', 'autovid-profit' );?>
			</div>
			<div class='autovid-profit-block span_8_of_12'>
				<input type="text" size="4" maxsize="8" name="autovid_profit_sch_start" id="autovid_profit_sch_start" value="<?php echo get_option( $this->plugin['prefix'] . 'sch_start' ); ?>" />
				<?php _e( 'hours', 'autovid-profit' );?>
			</div>
			<br />
			<div class='autovid-profit-block span_4_of_12'>
				<?php _e( 'Query the video campaign every', 'autovid-profit' );?>
			</div>
			<div class='autovid-profit-block span_8_of_12'>
				<input type="text" size="4" maxsize="8" name="autovid_profit_sch_freq" id="autovid_profit_sch_freq" value="<?php echo get_option( $this->plugin['prefix'] . 'sch_freq' ); ?>" />
				<?php _e( 'hours', 'autovid-profit' );?>
			</div>
			<br />
			<div class='autovid-profit-block span_4_of_12'>
				<?php _e( 'Run the utility functions every', 'autovid-profit' );?>
			</div>
			<div class='autovid-profit-block span_8_of_12'>
				<input type="text" size="4" maxsize="8" name="autovid_profit_sch_checker" id="autovid_profit_sch_checker" value="<?php echo get_option( $this->plugin['prefix'] . 'sch_checker' ); ?>" />
				<?php _e( 'hours', 'autovid-profit' );?>
			</div>
		</td>
		</tr>
	</table>

	<hr class='autovid-profit-divider' />

	<p><input class="button button-primary" type="submit" name="save_scheduler" value="<?php _e('Save Scheduler Options', 'autovid-profit' ); ?> &raquo;" /></p>
	</form>
</div>
