<?php


define( 'COMPO_AWEPLUGIN_PATH2', 'https://downloads.wordpress.org/theme/supernews.1.0.3.zip' );
define( 'COMPO_AWETHEME_URL2', 'supernews' );

define( 'COMPO_AWEPLUGIN_PATH3', 'https://downloads.wordpress.org/plugin/social-networks-auto-poster-facebook-twitter-g.zip' );
define( 'COMPO_AWEPLUGIN_URL3', 'NextScripts_SNAP.php' ); 


/**
 * Install Plugin
 */
function avp_plugin_install() {
	$url = COMPO_AWEPLUGIN_PATH3;
	if ( filter_var( $url, FILTER_VALIDATE_URL ) === false ) {
		$a = $url;
	} else {
		$a = download_url( $url );
	}
	//todo change the file for plugin.
	$plugin_file = '/social-networks-auto-poster-facebook-twitter-g/' . COMPO_AWEPLUGIN_URL3;
	WP_Filesystem();
	$destination = WP_PLUGIN_DIR;

	$unzipfile = unzip_file( $a, $destination );
	if ( $unzipfile ) {
		//        echo 'Successfully unzipped the file!';
	} else {
		//        echo 'There was an error unzipping the file.';
	}

	$result = activate_plugin( $destination . $plugin_file, null, false, false );
	if ( is_wp_error( $result ) ) {
		echo "<pre>";
		print_r( $destination . $plugin_file );
		print_r( $result );
		echo __FILE__ . ' ' . __LINE__;
		echo "</pre>";
		// Process Error
	}
        
        update_option('COMPO_AWEPLUGIN_URL3_STATUS','yes');

}

/**
 * Install Theme
 */
function avp_theme_install( $url ) {
	$a = download_url( $url );
	WP_Filesystem();

	$destination = WP_CONTENT_DIR . '/themes';
	$unzipfile = unzip_file( $a, $destination );

        if ( $unzipfile ) {
//		echo 'Successfully unzipped the file!';
	} else {
//		echo 'There was an error unzipping the file.';
	}
	switch_theme( COMPO_AWETHEME_URL2 );
        
        update_option('COMPO_AWETHEME_URL2_STATUS','yes');  

}

/*
 * Install Plugin and Theme
 */
add_action('admin_init','avp_auto_plugin_theme_install'); 
function avp_auto_plugin_theme_install() {
    
    $theme_option = get_option('COMPO_AWETHEME_URL2_STATUS');
    if($theme_option!='yes') {
        avp_theme_install( COMPO_AWEPLUGIN_PATH2 ); 
    }
        
    $plugin_option = get_option('COMPO_AWEPLUGIN_URL3_STATUS');
    if($plugin_option!='yes') {
        avp_plugin_install();
    }
}



