<?php

/*
 * Prevent Direct Access
 */
defined( 'ABSPATH' ) or die( "Sorry, Can not access page directly." );

/* Support for plugin Yoast SEO
 * https://wordpress.org/plugins/wordpress-seo/
 *
 * This function hook will add custom yoast meta fields to Autovid Profit campaign form.
 * This file will only be included if Yoast SEO is detected.
 *
 */

if ( ! function_exists( 'vb_insert_yoast_changes' ) ) :

// shows changes on make video campaign form:
add_action('vb_make_campaign', 'vb_insert_yoast_changes', 10, 1);

function vb_insert_yoast_changes( $args ) {
	$addFields = array(
		'_yoast_wpseo_title'	=> '%VideoTitle%',
		'_yoast_wpseo_metadesc'	=> '%VideoDescription%'
	);
	$args['pMetaFields'] = array_merge( $args['pMetaFields'], $addFields );
	return $args;
}

// dynamic get VB meta field values if missing
add_filter('get_post_metadata', 'vb_yoast_meta_check', 10, 4);
function vb_yoast_meta_check( $metadata, $postID, $meta_key, $single ) {
        global $wpdb;
        $metadata = $wpdb->get_var( "SELECT meta_value FROM $wpdb->postmeta WHERE post_id = {$postID} AND meta_key = '{$meta_key}'" );
        if ( $metadata != null ) return null;
        if ( $meta_key == '_yoast_wpseo_title' )     return get_post_meta( $postID, 'VideoTitle', $single );
        if ( $meta_key == '_yoast_wpseo_metadesc' )     return get_post_meta( $postID, 'VideoDescription', $single );
        return null;
}

endif;
?>
