<div class="vbp-tab">
       <input class="vbp-tab-radio" type="radio" id="tab-query" name="tab-group-vbp" checked>
       <label class="vbp-tab-label" for="tab-query">Build <?php echo $video_source;?> Query</label>

        <div class="vbp-tab-panel">
        <div class="vbp-tab-content">

	<p><?php printf( __( 'This builds the query that will be sent to the %s API to retrieve videos.', 'autovid-profit' ), $video_source ); ?></p>
	<table class='form-table'>
	<tr>
		<td>
			<?php _e( 'Import', 'autovid-profit' );?>
			<input type="text" size="3" maxlength="5" name="campaign_numVideos" id="campaign_numVideos" value="<?php echo $this->get_value( $args, 'qNumVideos', '1' ); ?>" />
			<?php _e( 'tracks by keyphrase', 'autovid-profit' );?>
			<input type="text" size="40" maxlength="256" name="campaign_keyphrase" id="campaign_keyphrase" value="<?php echo $this->get_value( $args, 'qKeyphrase', '' ); ?>" />
			<br /><br />
			<?php _e( 'and/or', 'autovid-profit' );?> &nbsp;
			<?php $optValue = $this->get_value( $args, 'qAssocType', ''); ?>
			<input type="radio" name="campaign_assoc_type" value="group" <?php echo ($optValue == 'group') ? "CHECKED" : "" ?>/>group &nbsp;
			<input type="radio" name="campaign_assoc_type" value="playlist" <?php echo ($optValue == 'playlist') ? "CHECKED" : "" ?>/>playlist &nbsp;
			<input type="radio" name="campaign_assoc_type" value="user" <?php echo ($optValue == 'user') ? "CHECKED" : "" ?>/>user &nbsp;
			<input type="radio" name="campaign_assoc_type" value="track" <?php echo ($optValue == 'track') ? "CHECKED" : "" ?>/>track &nbsp;
			<input type="text" size="40" maxlength="128" name="campaign_assoc" id="campaign_assoc" value="<?php echo $this->get_value( $args, 'qAssoc', '' ); ?>" />
			<br /><br />
			<?php _e( 'with advanced filters', 'autovid-profit' );?>
			<input type="text" size="60" maxlength="256" name="campaign_extra_params" id="campaign_extra_params" value="<?php echo $this->get_value( $args, 'qExtraParams', '' ); ?>" />

			<br /><br />
			<?php $optValue = $this->get_value( $args, 'qImageImport', TRUE ); ?>
			<input type="checkbox" name="campaign_image_import" value=TRUE <?php echo ($optValue == TRUE) ? "CHECKED" : "" ?>/>
			<?php _e( 'Import featured image size', 'autovid-profit' );?>
			<?php $optValue = $this->get_value( $args, 'qExtraParams2', 'maxres' ); ?>
			<select name="campaign_extra_params2">
				<option value="t500x500">500x500</option>
				<option value="crop" <?php echo ($optValue == 'crop') ? "SELECTED" : "" ?>>400x400</option>
				<option value="t300x300" <?php echo ($optValue == 't300x300') ? "SELECTED" : "" ?>>300x300</option>
				<option value="large" <?php echo ($optValue == 'large') ? "SELECTED" : "" ?>>100x100</option>
				<option value="badge" <?php echo ($optValue == 'badge') ? "SELECTED" : "" ?>>47x47</option>
				<option value="small" <?php echo ($optValue == 'small') ? "SELECTED" : "" ?>>32x32</option>
				<option value="mini" <?php echo ($optValue == 'mini') ? "SELECTED" : "" ?>>16x16</option>
				<option value="original" <?php echo ($optValue == 'original') ? "SELECTED" : "" ?>>original</option>
			</select>

			<br /><br />
			<?php _e( 'Also import latest', 'autovid-profit' );?>
			<input type="text" size="2" maxlength="4" name="campaign_num_comments" id="campaign_num_comments" value="<?php echo $this->get_value( $args, 'qNumComments', '', 1 ); ?>" />
			<?php _e( 'comments from each video.', 'autovid-profit' );?>
		</td>
	</tr>
	</table>

        </div>
        </div>
</div>
