<div class='wrap autovid-profit-section'>
	<h2 class='autovid-profit-title'><?php echo $this->plugin['name'] . " v" . $this->plugin['version'] ; ?></h2>
	<?php include( sprintf( "%stemplates/buttons.php", $this->plugin['dir'] ) ); ?>
	<p><?php _e('Miscellaneous utility functions for', 'autovid-profit' );?> <?php echo $this->plugin['name'];?> <?php _e( 'to keep the site running smooth.', 'autovid-profit' );?><br /><?php _e( 'Can be triggered via Scheduler or run manually.', 'autovid-profit' );?></p>
</div>
<?php $tools = get_option( $this->plugin['prefix'] . 'tools'); ?>
<div class='wrap autovid-profit-section'>
	<h3 class='autovid-profit-title'><?php echo $this->plugin['name'];?> Tools</h3>
	<form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
        <table class='form-table'>  
	<tr>
		<th scope="row"><label for="tool_broken_embeds"><?php _e( 'Trash Broken Embeds', 'autovid-profit' );?></label></th>
		<td>
			<select name="tool_broken_embeds">
				<option value="yes">Yes</option>
				<option value="no" <?php echo ($tools['broken_embeds'] == 'no') ? 'SELECTED' : ''?>>No</option>
			</select>
                        <p class="description"><?php _e( 'Send posts to Trash if its embedded video has been removed from source media site. This cleans up your site instead of showing posts with broken embeds.', 'autovid-profit' );?></p>
		</td>
	<tr>
		<th scope="row"><label for="tool_regenerate_thumbnails"><?php _e( 'Fetch Missing Thumbnails', 'autovid-profit' );?></label></th>
		<td>
			<select name="tool_regenerate_thumbnails">
				<option value="yes">Yes</option>
				<option value="no" <?php echo ($tools['regenerate_thumbnails'] == 'no') ? 'SELECTED' : ''?>>No</option>
			</select>
                        <p class="description"><?php _e( 'Fetch any missing thumbnails on existing video posts. Sometimes the remote API times out before returning an image. This lets the plugin re-request the thumbnail at the next opportunity.', 'autovid-profit' );?></p>
		</td>
	</tr>
	<tr>
		<th scope="row"><label for="tool_remove_images">Remove Trash Images</label></th>
		<td>
			<select name="tool_remove_images">
				<option value="yes">Yes</option>
				<option value="no" <?php echo ($tools['remove_images'] == 'no') ? 'SELECTED' : ''?>>No</option>
			</select>
                        <p class="description"><?php _e( 'Remove any images associated with Trashed Autovid Profit posts to save space. If you Trash posts created by Autovid Profit because the videos are spam, non-related, removed, etc., this will also delete the images too to save space (WordPress does NOT do this for you). Will ONLY apply to Trashed posts that were created by the Autovid Profit engine.', 'autovid-profit' );?></p>
		</td>
	</tr>
	</table>

	<hr class='autovid-profit-divider' />

	<input class="button button-primary" type="submit" name="save_values" value="<?php _e( 'Save Settings', 'autovid-profit' );?>" />
	<input class="button button-primary" type="submit" name="launch_tools" value="<?php _e( 'Run Tools Now', 'autovid-profit' );?>" />
	</form>
</div>
