<div class='wrap autovid-profit-section'>
	<h2 class="autovid-profit-title"><?php echo $this->plugin['name'] . " v" . $this->plugin['version']; ?></h2>
	<?php include( sprintf( "%stemplates/buttons.php", $this->plugin['dir'] ) ); ?>
	<p><?php _e( 'A summary list of video campaign that can be queried by the Scheduler.', 'autovid-profit' );?></p>
</div>

    <script type="text/javascript">
    //<![CDATA[

        function toggleAll(c) {
                var s = document.getElementsByTagName('input');
		for ( var i=0; i < s.length; i++ ) {
			if ( s[i].type == 'checkbox' && s[i].name == 'select[]') {
				s[i].checked = c;
			}
		}
        }

	function confirmDel() {
		return confirm('Are you sure you want to delete?');
	}

    //]]>
    </script>

<div class='wrap autovid-profit-section'>
        <form method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>">
	<h3 class='autovid-profit-title'><?php _e( 'Video Campaigns', 'autovid-profit' );?></h3>
	<table class='autovid-profit-campaign'>
<?php
	$theader = "";
	$theader .= "<tr class='autovid-profit-gray autovid-profit-text-center'>";
	$theader .= "<td><input type='checkbox' name='toggleAllcampaign' onchange='toggleAll(this.checked);' /></td>";
	$theader .= '<td>' . __( 'Name', 'autovid-profit' ) . '</td>';
	$theader .= '<td>' . __( 'ID', 'autovid-profit' ) . '</td>';
	$theader .= '<td>' . __( 'Source', 'autovid-profit' ) . '</td>';
	$theader .= '<td>' . __( 'Num Videos', 'autovid-profit' ) . '</td>';
	if ( $this->get_my_plugin( 'name' ) == 'Video Pornster' ) {
		$theader .= '<td>' . __( 'Keyphrase or Url', 'autovid-profit' ) . '</td>';
	}
	else {
		$theader .= '<td>' . __( 'Keyphrase [Association]', 'autovid-profit' ) . '</td>';
	}
	$theader .= '<td>' . __( 'Order By', 'autovid-profit' ) . '</td>';
//MARK display mode?
	$create_posts_display = 1;
	if ( $create_posts_display ) {
		$theader .= '<td class="toggle-create">' . __( 'Save results as', 'autovid-profit' ) . '</td>';
		$theader .= '<td class="toggle-create">' . __( 'User', 'autovid-profit' ) . '</td>';
		$theader .= '<td class="toggle-create">' . __( 'Post Type', 'autovid-profit' ) . '</td>';
		$theader .= '<td class="toggle-create">' . __( 'Post Status', 'autovid-profit' ) . '</td>';
		$theader .= '<td class="toggle-create">' . __( 'Post Categories', 'autovid-profit' ) . '</td>';
	}
	if ( function_exists( 'ba_admin_posts_filter' ) ) {
		$theader .= '<td>' . __( 'View Videos', 'autovid-profit' ) . '</td>';
	}
	$theader .= '<td>' . __( 'Import Now', 'autovid-profit' ) . '</td>';
	$theader .= '<td>' . __( 'Edit', 'autovid-profit' ) . '</td>';
	$theader .= '<td>' . __( 'Delete', 'autovid-profit' ) . '</td>';
	$theader .= '</tr>';

	echo $theader;

	$results = $this->get_video_campaign_details( '', 'time DESC' );
	foreach ( $results as $campaign ) {
		if ( $campaign->campaignStatus == 'Active' ) {
			echo "<tr>";
		}
		else {
			echo "<tr class='autovid-profit-gray'>";
		}
		echo "<td><input type='checkbox' name='select[]' value='" . $campaign->id . "' /></td>";
		if ( $campaign->campaignStatus == 'Active' ) {
			echo "<td>" . $campaign->campaignName . "</td>";
			echo "<td>" . $campaign->id . "</td>";
                       	echo "<td>" . $campaign->videoSource . "</td>";
		}
		else {
			echo "<td><strike><i>" . $campaign->campaignName . "</i></strike></td>";
			echo "<td><strike><i>" . $campaign->id . "</i></strike></td>";
                       	echo "<td><strike><i>" . $campaign->videoSource . "</i></strike></td>";
		}
		echo "<td class='autovid-profit-text-center'>" . $campaign->qNumVideos . "</td>";
		echo "<td>" . stripslashes( $campaign->qKeyphrase );
		$data = '';
		if ( ! $campaign->qKeyphrase && $this->get_my_plugin( 'name' ) == 'Video Pornster' ) {
			if ( $campaign->qAssocType == 'url' && $campaign->qAssoc ) {
				$url = basename( $campaign->qAssoc );
				$data = "[url: /" . substr( $url, -1, 32 ) . "]";
			}
			else if ( $campaign->qAssoc ) {
				$data = " [" . $campaign->qAssocType . ": " . stripslashes( $campaign->qAssoc ) . "]";
			}
			else if ( $campaign->qCategory ) {
				$data = substr( $campaign->qCategory, 0, 32 );
			}
			echo $data;
		}
		else if ( $campaign->qAssoc ) {
			echo " [" . $campaign->qAssocType . ": " . stripslashes( $campaign->qAssoc ) . "]";
		}
		echo "</td>";
		echo "<td>" . $campaign->qOrderBy . "</td>";
		if ( $create_posts_display ) {
			echo "<td class='autovid-profit-gray autovid-profit-text-center autovid-profit-arrow'> &#10145; </td>";
			if ( $campaign->cUser == "(random)" || empty( $campaign->cUser ) ) {
                        	echo "<td>" . $campaign->cUser . "</td>";
			}
			else if ( ! empty( $campaign->cUser ) ) {
                        	echo "<td>" . get_user_by( "id", $campaign->cUser )->display_name . "</td>";
			}
                        echo "<td>" . $campaign->cPostType . "</td>";
                        echo "<td>" . $campaign->cPostStatus . "</td>";
			$catNames = array();
			if ( $campaign->cCategories ) { 
				$cats = explode( ",", $campaign->cCategories );
				foreach ( $cats as $id ) {
					$catName = get_the_category_by_ID( $id );
					if ( is_wp_error( $catName ) ) {
						$this->info_message( "Error: " . $catName->get_error_message() );
						continue;
					}
					$catNames[] = $catName;
				}
			}
			$catCommas = isset( $catNames ) ? implode( ", ", $catNames ) : '';
			echo "<td>" . $catCommas . "</td>";
		}
		if ( function_exists( 'ba_admin_posts_filter' ) ) {
			echo "<td class='autovid-profit-text-center'><a href='edit.php?post_status=all&post_type=post&action=-1&m=0&cat=0&ADMIN_FILTER_FIELD_NAME=VideoCampaign&ADMIN_FILTER_FIELD_VALUE=" . $campaign->id . "&filter_action=Filter&paged=1&mode=list&action2=-1'><img width='16' height='16' alt='Delete' src='" . plugins_url( '../images/view_videos.png', __FILE__ ) . "'></a></td>";
		}
		echo "<td class='autovid-profit-text-center'><a href='admin.php?page=" . $this->get_my_plugin( 'prefix' ) . "show_video_campaign&importID=" . $campaign->id . "'><img width='16' height='16' alt='Grab now' src='" . plugins_url( '../images/action_next.png', __FILE__ ) . "'></a></td>";
		echo "<td class='autovid-profit-text-center'><a href='admin.php?page=" . $this->get_my_plugin( 'prefix' ) . "video_campaign&editID=" . $campaign->id . "'><img width='16' height='16' alt='Edit' src='" . plugins_url( '../images/list_edit.png', __FILE__ ) . "'></a></td>";
		echo "<td class='autovid-profit-text-center'><a onclick='return confirmDel()' href='admin.php?page=" . $this->get_my_plugin( 'prefix' ) . "show_video_campaign&delID=" . $campaign->id . "'><img width='16' height='16' alt='Delete' src='" . plugins_url( '../images/list_remove.png', __FILE__ ) . "'></a></td>";
		echo "</tr>\n";
	}
	$total = count( $results );
	if ( ! $total ) {
		echo "<tr><td colspan='14'> <em><?php _e( 'No video campaign found', 'autovid-profit' );?></em> </td></tr>\n";
	}
	else if ( $total > 10 ) {
		echo $theader;
	}
	?>
	</table>
	<?php $args = array(); ?>
	<p>
        <input class="button button-primary" type="submit" name="mass_import" value="<?php _e( 'Import Selected Video Campaigns Now', 'autovid-profit' );?>" />
        <input class="button button-primary" type="submit" onclick='return confirmDel()' name="mass_delete" value="<?php _e( 'Delete Selected Video Campaigns', 'autovid-profit' );?>" />

	<br /><br /> <h4><?php _e( 'Use form below to Mass Edit the selected video campaign (blank values and 0s will be skipped) :', 'autovid-profit' );?></h4>

	<hr class='autovid-profit-divider' />

<?php $video_source = "video sites"; ?>

        <?php include( sprintf( "%stemplates/campaign-details.php", $this->plugin['dir'] ) ); ?>

<div class="vbp-tabs">
        <?php include( sprintf( "%stemplates/query-massedit.php", $this->plugin['dir'] ) ); ?>
        <?php include( sprintf( "%stemplates/process-results.php", $this->plugin['dir'] ) ); ?>
        <?php include( sprintf( "%stemplates/create-posts.php", $this->plugin['dir'] ) ); ?>
</div>

        <input class="button button-primary" type="submit" name="mass_edit" value="<?php _e( 'Mass Edit Selected Video Campaigns', 'autovid-profit' );?>" /> 
	</p>
	</form>
</div>
