<?php

/*
 * Prevent Direct Access
 */
defined( 'ABSPATH' ) or die( "Sorry, Can not access page directly." );

/* Support for theme Furious
 * http://themeforest.net/item/furious-viral-buzz-wordpress-theme/15284763/?ref=johnh10
 *
 * This theme uses it's own custom meta fields to store the VideoEmbed.
 * This function hook will add those fields to Autovid Profit campaign form and reset the description.
 * This file will only be included if Furious is the active theme.
 *
 */

if ( ! function_exists( 'vb_insert_furious_changes' ) ) :

// shows changes on make video campaign form:
add_action('vb_make_campaign', 'vb_insert_furious_changes', 10, 1);

function vb_insert_furious_changes( $args ) {
	$addArgs = array (
		'pPostTemplate'		=> '%VideoDescription%',
	);
	$args = array_merge( $args, $addArgs );

	$addFields = array(
		'_furious_video_embed'	=> '%VideoEmbed%'
	);
	$args['pMetaFields'] = array_merge( $args['pMetaFields'], $addFields );
	return $args;
}

// dynamic get VB meta field values if missing
add_filter('get_post_metadata', 'vb_meta_check', 10, 4);
function vb_meta_check( $metadata, $postID, $meta_key, $single ) {
	global $wpdb;
	$metadata = $wpdb->get_var( "SELECT meta_value FROM $wpdb->postmeta WHERE post_id = {$postID} AND meta_key = '{$meta_key}'" );
	if ( $metadata != null ) return null;
	if ( $meta_key == '_furious_video_embed' ) 	return get_post_meta( $postID, 'VideoEmbed', $single );
	return null;
}

// dynamic VB remove any iframe from content - theme uses meta field instead
//add_filter('the_content', 'vb_content_check' );
function vb_content_check( $content ) {
	$content = preg_replace('/<iframe.*?\/iframe>/i','', $content);
	return $content;
}


endif;
?>
